## org.omg.CORBA
Class DefinitionKindHelper

    java.lang.Object
      |
      +--org.omg.CORBA.DefinitionKindHelper

public class DefinitionKindHelper
extends java.lang.Object

Helper class for : DefinitionKind

Author:
  OpenORB Compiler

Constructor Summary
`DefinitionKindHelper()`

Method Summary
`static DefinitionKind` `extract(Any a)` Extract DefinitionKind from an any
`static java.lang.String` `id()` Return the DefinitionKind IDL ID
`static void` `insert(Any a, DefinitionKind t)` Insert DefinitionKind into an any
`static DefinitionKind` `read(InputStream istream)` Read DefinitionKind from a marshalled stream
`static TypeCode` `type()` Return the DefinitionKind TypeCode
`static void` `write(OutputStream ostream, DefinitionKind value)` Write DefinitionKind into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefinitionKindHelper

    public DefinitionKindHelper()

Method Detail

### insert

    public static void insert(Any a,
                              DefinitionKind t)

  Insert DefinitionKind into an any
  Parameters:
    `a` - an any
    `t` - DefinitionKind value

### extract

    public static DefinitionKind extract(Any a)

  Extract DefinitionKind from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted DefinitionKind value

### type

    public static TypeCode type()

  Return the DefinitionKind TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the DefinitionKind IDL ID
  Returns:
    an ID

### read

    public static DefinitionKind read(InputStream istream)

  Read DefinitionKind from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed DefinitionKind value

### write

    public static void write(OutputStream ostream,
                             DefinitionKind value)

  Write DefinitionKind into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - DefinitionKind value